Skip to content
ComPDF

Get Asset Information

Query the remaining assets for the current user, including available balance and withheld balance by asset type.

Request Method

  • Method: GET
  • Parameter style: Query

Request URL

https://api-server.compdf.com/server/v2/asset/info

Response Parameters

ParameterData typeDescription
tenantAssetArrayAsset information list
assetTypeNameStringAsset type
assetIntegerAsset balance
withholdingAssetIntegerTotal withheld assets

Response Example

json
{
  "code": "200",
  "msg": "success",
  "data": {
    "tenantAsset": [
      {
        "assetTypeName": "SUBSCRIPTIONS",
        "asset": 12,
        "withholdingAsset": 0
      },
      {
        "assetTypeName": "PACKAGES",
        "asset": 1,
        "withholdingAsset": 0
      }
    ]
  }
}

Notes

  • asset indicates the currently available balance for the asset type.
  • withholdingAsset indicates assets temporarily reserved by tasks that are being processed or have not yet settled.